org.apache.http.impl.conn

## Class DefaultClientConnectionOperator

- java.lang.Object
- - org.apache.http.impl.conn.DefaultClientConnectionOperator

- All Implemented Interfaces:
    ClientConnectionOperator

  已过时。
  （4.3）使用`PoolingHttpClientConnectionManager` 。

      @Deprecated
      @Contract(threading=SAFE_CONDITIONAL)
      public class DefaultClientConnectionOperator
      extends Object
      implements ClientConnectionOperator

  默认执行一个`ClientConnectionOperator` 。 它使用`SchemeRegistry`查找`SchemeSocketFactory`对象。

  该连接运营商是多方网络感知的，并将尝试按顺序重试所有已知IP地址的故障连接，直到连接成功或所有已知地址无法响应。 请注意，每个连接尝试将使用相同的`CoreConnectionPNames.CONNECTION_TIMEOUT`值，所以在最坏的情况下，超时前的总经过时间可以是`CONNECTION_TIMEOUT * n` ，其中`n`是给定主机的IP地址数。 可以通过覆盖`resolveHostname(String)`方法并仅返回给定主机名的一个IP地址来禁用multihome支持。

  以下参数可用于自定义此类的行为：

  - `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
  - `CoreConnectionPNames.SO_TIMEOUT`
  - `CoreConnectionPNames.SO_LINGER`
  - `CoreConnectionPNames.SO_REUSEADDR`
  - `CoreConnectionPNames.TCP_NODELAY`
  - `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
  - `CoreConnectionPNames.CONNECTION_TIMEOUT`
  - `CoreConnectionPNames.MAX_LINE_LENGTH`
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DnsResolver` | `dnsResolver` 已过时。 自定义配置的DNS查找机制。
    `protected SchemeRegistry` | `schemeRegistry` 已过时。 查找套接字工厂的方案注册表。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `DefaultClientConnectionOperator(SchemeRegistry schemes)` 已过时。 为给定的方案注册表创建一个新的客户端连接运算符。
    `DefaultClientConnectionOperator(SchemeRegistry schemes, DnsResolver dnsResolver)` 已过时。 为给定的方案注册表和给定的自定义DNS查找机制创建一个新的客户端连接运算符。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperatedClientConnection` | `createConnection()` 已过时。 创建一个可以操作的新连接。
    `void` | `openConnection(OperatedClientConnection conn, HttpHost target, InetAddress local, HttpContext context, HttpParams params)` 已过时。 打开与给定目标主机的连接。
    `protected void` | `prepareSocket(Socket sock, HttpContext context, HttpParams params)` 已过时。 在新创建的套接字上执行标准初始化。
    `protected InetAddress[]` | `resolveHostname(String host)` 已过时。 根据提供的DNS解析器上配置的名称服务，将给定的主机名解析为相应IP地址数组。
    `void` | `updateSecureConnection(OperatedClientConnection conn, HttpHost target, HttpContext context, HttpParams params)` 已过时。 更新与分层安全连接的连接。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### schemeRegistry

          protected final SchemeRegistry schemeRegistry

      已过时。
      查找套接字工厂的方案注册表。

    - #### dnsResolver

          protected final DnsResolver dnsResolver

      已过时。
      自定义配置的DNS查找机制。

  - ### 构造方法详细信息

    - #### DefaultClientConnectionOperator

          public DefaultClientConnectionOperator(SchemeRegistry schemes)

      已过时。
      为给定的方案注册表创建一个新的客户端连接运算符。
      参数
        `schemes` - 方案注册表
      从以下版本开始：
        4.2

    - #### DefaultClientConnectionOperator

          public DefaultClientConnectionOperator(SchemeRegistry schemes,
                                         DnsResolver dnsResolver)

      已过时。
      为给定的方案注册表和给定的自定义DNS查找机制创建一个新的客户端连接运算符。
      参数
        `schemes` - 方案注册表
        `dnsResolver` - 自定义DNS查找机制

  - ### 方法详细信息

    - #### createConnection

          public OperatedClientConnection createConnection()

      已过时。
      说明从界面： `ClientConnectionOperator`复制
      创建一个可以操作的新连接。
      Specified by:
        `createConnection`在界面 `ClientConnectionOperator`
      结果
        一个新的，未打开的连接用于此操作员

    - #### openConnection

          public void openConnection(OperatedClientConnection conn,
                            HttpHost target,
                            InetAddress local,
                            HttpContext context,
                            HttpParams params)
                              throws IOException

      已过时。
      说明从界面： `ClientConnectionOperator`复制
      打开与给定目标主机的连接。
      Specified by:
        `openConnection`在界面 `ClientConnectionOperator`
      参数
        `conn` - 要打开的连接
        `target` - 要连接的目标主机
        `local` - 要路由的本地地址，或 `null`为 `null`
        `context` - 连接的上下文
        `params` - 连接的参数
      异常
        `IOException` - 出现问题时

    - #### updateSecureConnection

          public void updateSecureConnection(OperatedClientConnection conn,
                                    HttpHost target,
                                    HttpContext context,
                                    HttpParams params)
                                      throws IOException

      已过时。
      说明从界面： `ClientConnectionOperator`复制
      更新与分层安全连接的连接。 此方法的典型用途是将隧道通用连接（HTTP）更新为安全的TLS / SSL连接（HTTPS）。
      Specified by:
        `updateSecureConnection`在界面 `ClientConnectionOperator`
      参数
        `conn` - 要更新的打开连接
        `target` - 更新连接的目标主机。 连接必须已经打开或隧道传送到主机和端口，但目标的方案将用于创建分层连接。
        `context` - 连接的上下文
        `params` - 更新连接的参数
      异常
        `IOException` - 出现问题时

    - #### prepareSocket

          protected void prepareSocket(Socket sock,
                           HttpContext context,
                           HttpParams params)
                                throws IOException

      已过时。
      在新创建的套接字上执行标准初始化。
      参数
        `sock` - 要准备的套接字
        `context` - 连接的上下文
        `params` - 准备套接字的参数
      异常
        `IOException` - 万一出现IO问题

    - #### resolveHostname

          protected InetAddress[] resolveHostname(String host)
                                           throws UnknownHostException

      已过时。
      根据提供的DNS解析器上配置的名称服务，将给定的主机名解析为相应IP地址数组。 如果没有提供，则使用系统配置。
      参数
        `host` - 要解析的主机名
      结果
        IP地址数组
      异常
        `UnknownHostException` - 如果不能确定主机的IP地址。
      从以下版本开始：
        4.1
      另请参见：
        `DnsResolver` ， `SystemDefaultDnsResolver`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585